#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int cifre(int broj){
    int n1=broj,br;
    for ( br=0; n1!=0; br++)
        n1 /= 10;
    return  br;
}
int najc(int broj1, int broj2, int broj3){
    int naj=broj1,mini=broj2,sre,bruk,najb;
    if(broj2/pow(10,cifre(broj2)-1)>naj/pow(10,cifre(naj)-1))
        naj=broj2;
    if(broj3/pow(10,cifre(broj3)-1)>naj/pow(10,cifre(naj)-1))
        naj=broj3;
    if(broj3/pow(10,cifre(broj3)-1)<mini/pow(10,cifre(mini)-1))
        mini=broj3;
    if(broj1/pow(10,cifre(broj1)-1)<mini/pow(10,cifre(mini)-1))
        mini=broj1;
    sre=broj1+broj2+broj3-mini-naj;
    bruk=cifre(broj1)+cifre(broj2)+cifre(broj3);
    najb=naj*pow(10,bruk-cifre(naj))+sre*pow(10,bruk-cifre(sre)-cifre(naj))+mini*pow(10,bruk-cifre(mini)-cifre(sre)-cifre(naj));
    return najb;
}
int main()
{
    int a,b,c,bra;
    scanf("%d%d%d",&a,&b,&c);
    bra=najc(a,b,c);
    printf("%d",bra);
    return 0;
}